public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/findutils/
Date: Sun, 30 Oct 2022 15:51:44 +0000 (UTC)	[thread overview]
Message-ID: <1667145017.d7c50bf2f0b12fba15bcd5f7ffde684e7b61c4b5.sam@gentoo> (raw)

commit:     d7c50bf2f0b12fba15bcd5f7ffde684e7b61c4b5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 30 12:53:18 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 30 15:50:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7c50bf2

sys-apps/findutils: Install as gfind, gxargs for better BSD compat.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/findutils/findutils-4.9.0-r2.ebuild | 97 ++++++++++++++++++++++++++++
 1 file changed, 97 insertions(+)

diff --git a/sys-apps/findutils/findutils-4.9.0-r2.ebuild b/sys-apps/findutils/findutils-4.9.0-r2.ebuild
new file mode 100644
index 000000000000..86f171f6797f
--- /dev/null
+++ b/sys-apps/findutils/findutils-4.9.0-r2.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/findutils.asc
+inherit flag-o-matic python-any-r1 verify-sig
+
+DESCRIPTION="GNU utilities for finding files"
+HOMEPAGE="https://www.gnu.org/software/findutils/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+SRC_URI+=" verify-sig? ( mirror://gnu/${PN}/${P}.tar.xz.sig )"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls selinux static test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	selinux? ( sys-libs/libselinux )
+	nls? ( virtual/libintl )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	nls? ( sys-devel/gettext )
+	test? (
+		${PYTHON_DEPS}
+		dev-util/dejagnu
+	)
+	verify-sig? ( sec-keys/openpgp-keys-findutils )
+"
+
+pkg_setup() {
+	use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	# Don't build or install locate because it conflicts with mlocate,
+	# which is a secure version of locate.  See bug 18729
+	sed \
+		-e '/^SUBDIRS/s@locate@@' \
+		-e '/^built_programs/s@ frcode locate updatedb@@' \
+		-i Makefile.in || die
+
+	default
+}
+
+src_configure() {
+	if use static; then
+		append-flags -pthread
+		append-ldflags -static
+	fi
+
+	append-lfs-flags
+
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		# https://lists.gnu.org/archive/html/bug-findutils/2021-01/msg00050.html
+		# https://lists.gnu.org/archive/html/bug-findutils/2021-01/msg00051.html
+		append-cppflags '-D__nonnull\(X\)='
+	fi
+
+	local myeconfargs=(
+		--with-packager="Gentoo"
+		--with-packager-version="${PVR}"
+		--with-packager-bug-reports="https://bugs.gentoo.org/"
+		$(use_enable nls)
+		$(use_with selinux)
+		--libexecdir='$(libdir)'/find
+		# rename to gfind, gxargs for better BSD compatibility
+		--program-prefix=g
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_test() {
+	local -x SANDBOX_PREDICT=${SANDBOX_PREDICT}
+	addpredict /
+	default
+}
+
+src_compile() {
+	# We don't build locate, but the docs want a file in there.
+	emake -C locate dblocation.texi
+	default
+}
+
+src_install() {
+	default
+
+	# symlink to the standard names
+	dosym gfind /usr/bin/find
+	dosym gxargs /usr/bin/xargs
+	dosym gfind.1 /usr/share/man/man1/find.1
+	dosym gxargs.1 /usr/share/man/man1/xargs.1
+}


             reply	other threads:[~2022-10-30 15:51 UTC|newest]

Thread overview: 91+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-30 15:51 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-17  4:57 [gentoo-commits] repo/gentoo:master commit in: sys-apps/findutils/ Sam James
2024-07-17  4:56 Sam James
2024-07-17  4:56 Sam James
2024-07-17  4:46 Sam James
2024-07-17  4:44 Sam James
2024-07-17  4:36 Sam James
2024-06-02  0:14 Sam James
2024-05-09 11:33 Sam James
2023-08-18 21:50 Sam James
2023-02-24 18:36 Sam James
2022-12-26  3:54 Sam James
2022-12-26  3:20 Sam James
2022-12-25 21:24 Sam James
2022-12-25 21:24 Sam James
2022-12-25 21:24 Sam James
2022-12-25 20:34 Arthur Zamarin
2022-12-25 20:20 Arthur Zamarin
2022-12-25 20:16 Arthur Zamarin
2022-12-25 20:14 Arthur Zamarin
2022-10-28  6:36 Sam James
2022-06-01  8:11 Sam James
2022-05-22 11:27 Jakov Smolić
2022-05-22  6:23 Agostino Sarubbo
2022-05-22  6:22 Agostino Sarubbo
2022-05-22  6:19 Agostino Sarubbo
2022-05-22  6:17 Agostino Sarubbo
2022-05-22  3:20 Sam James
2022-05-22  3:18 Sam James
2022-05-22  3:18 Sam James
2022-04-23  2:19 Mike Gilbert
2022-04-23  2:19 Mike Gilbert
2022-04-17 17:06 Sam James
2022-04-07  0:46 Sam James
2022-01-06  9:07 David Seifert
2021-12-07 20:23 Sam James
2021-12-06  8:06 Agostino Sarubbo
2021-12-06  1:16 Sam James
2021-12-06  0:13 Sam James
2021-12-06  0:10 Sam James
2021-12-05  7:49 Jakov Smolić
2021-12-05  5:19 Sam James
2021-10-25 16:05 Mike Frysinger
2021-08-22 12:00 Fabian Groffen
2021-05-13 13:55 David Seifert
2021-05-13 10:59 David Seifert
2021-05-11 16:38 Sam James
2021-05-11 16:38 Sam James
2021-05-09 21:48 Sam James
2021-05-09 21:48 Sam James
2021-05-09 21:44 Sam James
2021-05-09 21:42 Sam James
2021-05-09 21:36 Sergei Trofimovich
2021-01-09 21:09 Lars Wendler
2021-01-06 15:26 Fabian Groffen
2020-12-27 18:13 Fabian Groffen
2020-08-16 13:07 Thomas Deutschmann
2020-03-19 20:38 Mart Raudsepp
2020-03-15 13:13 Mikle Kolyada
2020-03-02 11:49 Sergei Trofimovich
2020-02-24 12:49 Agostino Sarubbo
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-24 10:07 Agostino Sarubbo
2020-02-24  9:02 Agostino Sarubbo
2020-02-21 15:57 Agostino Sarubbo
2020-02-20 18:47 Sergei Trofimovich
2020-02-10 13:26 Michał Górny
2019-08-31 21:03 Lars Wendler
2019-08-30  7:51 Lars Wendler
2019-05-04 20:15 Mikle Kolyada
2019-05-04 11:26 Mikle Kolyada
2017-04-24 11:05 Pacho Ramos
2016-06-05 21:03 Mike Frysinger
2016-05-23  5:15 Jeroen Roovers
2016-05-23  5:15 Jeroen Roovers
2016-05-02 18:28 Mike Frysinger
2016-05-02 18:28 Mike Frysinger
2016-05-02  4:23 Matt Turner
2016-04-10  8:47 Jeroen Roovers
2016-03-25  9:41 Markus Meier
2016-03-21 23:35 Mike Frysinger
2016-03-08  3:45 Mike Frysinger
2016-03-05 16:29 Mikle Kolyada
2015-12-29  5:32 Mike Frysinger
2015-12-27 22:14 Mike Frysinger
2015-12-25 10:53 Lars Wendler
2015-12-24 11:40 Lars Wendler
2015-12-18 17:19 Mike Frysinger
2015-12-18 17:19 Mike Frysinger
2015-12-18 17:19 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1667145017.d7c50bf2f0b12fba15bcd5f7ffde684e7b61c4b5.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox